Subject: RE: IPv6 site-locals... end of story...

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:38:19 -0800

If we need to economize on v6 address space, then it isn't big enough.

Tony

|    -----Original Message-----
|    From: Manfredi, Albert E [mailto:[email-masked]] 
|    Sent: Monday, March 24, 2003 2:08 PM
|    To: [email-masked]
|    Subject: RE: IPv6 site-locals... end of story...
|    
|    
|    About RFC 1627 ...
|    
|    The reasons for using a private address space, as in RFC 
|    1597/1918, is not JUST to economize on address space. 
|    Similarly, the use of NATs is not JUST to extend the life 
|    of a 32-bit address space.
|    
|    Here's the telling quote from RFC 1627:
|    
|    -----------
|       The IP version 4 (IPv4) address space will be exhausted.  The
|       question is simply:  when?
|    
|       If we assert that all IP addresses must be unique 
|    globally, connected
|       or not, then we will run out of IP address space soon.
|    
|       If we assert that only IP addresses used on the 
|    world-wide Internet
|       need to be globally unique, then we will run out of IP 
|    address space
|       later.
|    
|       It is absolutely key to keep the Internet community's attention
|       focused on the efforts toward IP next generation 
|    (IPng), so that we
|       may transcend the limitations of IPv4.  RFC 1597 
|    produces apparent
|       relief from IPv4 address space exhaustion by masking 
|    those networks
|       that are not connecting to the Internet, today.
|    -----------
|    
|    RFC 1918 and NATs can also be used to configure small 
|    networks the same, then avoid renumbering these networks 
|    when/if they are connected to the Internet. A 1:1 
|    relationship between IP addresses on either side of the 
|    NAT can be implemented. (That is, you're not using the 
|    Port ID field as a kludgey extension of the IP address field.)
|    
|    The arguments of RFC 1627 really emphasize the economizing 
|    of address space as motivation for using the private 
|    address space. Not always germaine, IMO. But anyway, as 
|    long as the FECO:: continues to exist, all should work out.
|    
|    Bert
|    _______________________________________________
|    routing-discussion mailing list
|    [email-masked]
|    https://www1.ietf.org/mailman/listinfo/routing-discussion
|    
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: Avri Doria <[email-masked]>
Date: Mon, 24 Mar 2003 17:47:20 -0800

While it may not be necessary to economize with IP space
in IPv6, there is nothing to prevent a local service provider
from creating an artificial shortage that then allows them
to charge me for every address I use in my home.  Local
addressing gives the user, i.e.. our silent majority, some
means of fighting those who would make them pay for every
address used.  I believe that as long as this address monopoly
exists, there will be users who will buy any device that gives
them address freedom.

So, it isn't the end of the story, just the end of a chapter.

a.

---

From: Avri Doria <[email-masked]>
Date: Mon, 24 Mar 2003 17:47:20 -0800

a.

---

From: avri <[email-masked]>
Date: Mon, 24 Mar 2003 14:53:01 -0800

a.

---

From: avri <[email-masked]>
Date: Mon, 24 Mar 2003 14:53:01 -0800

a.